curl --request POST \
--url https://api.services.payward.com/v1/accounts/{account_id}/funds/testing/deposit \
--header 'API-Key: <api-key>' \
--header 'API-Nonce: <api-key>' \
--header 'API-Sign: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"method_id": "479c45eb-6558-430a-8794-4308137d2588",
"amount": "0.25",
"name": "PWS funding deposit test",
"reference": "PWSPAY-1229"
}
'import requests
url = "https://api.services.payward.com/v1/accounts/{account_id}/funds/testing/deposit"
payload = {
"method_id": "479c45eb-6558-430a-8794-4308137d2588",
"amount": "0.25",
"name": "PWS funding deposit test",
"reference": "PWSPAY-1229"
}
headers = {
"API-Key": "<api-key>",
"API-Sign": "<api-key>",
"API-Nonce": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'API-Key': '<api-key>',
'API-Sign': '<api-key>',
'API-Nonce': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
method_id: '479c45eb-6558-430a-8794-4308137d2588',
amount: '0.25',
name: 'PWS funding deposit test',
reference: 'PWSPAY-1229'
})
};
fetch('https://api.services.payward.com/v1/accounts/{account_id}/funds/testing/deposit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.services.payward.com/v1/accounts/{account_id}/funds/testing/deposit",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'method_id' => '479c45eb-6558-430a-8794-4308137d2588',
'amount' => '0.25',
'name' => 'PWS funding deposit test',
'reference' => 'PWSPAY-1229'
]),
CURLOPT_HTTPHEADER => [
"API-Key: <api-key>",
"API-Nonce: <api-key>",
"API-Sign: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.services.payward.com/v1/accounts/{account_id}/funds/testing/deposit"
payload := strings.NewReader("{\n \"method_id\": \"479c45eb-6558-430a-8794-4308137d2588\",\n \"amount\": \"0.25\",\n \"name\": \"PWS funding deposit test\",\n \"reference\": \"PWSPAY-1229\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("API-Key", "<api-key>")
req.Header.Add("API-Sign", "<api-key>")
req.Header.Add("API-Nonce", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.services.payward.com/v1/accounts/{account_id}/funds/testing/deposit")
.header("API-Key", "<api-key>")
.header("API-Sign", "<api-key>")
.header("API-Nonce", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"method_id\": \"479c45eb-6558-430a-8794-4308137d2588\",\n \"amount\": \"0.25\",\n \"name\": \"PWS funding deposit test\",\n \"reference\": \"PWSPAY-1229\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.services.payward.com/v1/accounts/{account_id}/funds/testing/deposit")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["API-Key"] = '<api-key>'
request["API-Sign"] = '<api-key>'
request["API-Nonce"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"method_id\": \"479c45eb-6558-430a-8794-4308137d2588\",\n \"amount\": \"0.25\",\n \"name\": \"PWS funding deposit test\",\n \"reference\": \"PWSPAY-1229\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"simulated": true
}
}{
"error": {
"type": "funding_error",
"instance": "5f4d2a8e-91a4-4d6c-8a17-9b1e2c3f4a5b",
"status": 400,
"code": "bad_request",
"causes": [
{
"field": "asset_symbol",
"message": "must contain between 1 and 16 characters"
}
]
}
}{
"error": {
"type": "funding_error",
"instance": "5f4d2a8e-91a4-4d6c-8a17-9b1e2c3f4a5b",
"status": 401,
"code": "unauthenticated"
}
}{
"error": {
"type": "funding_error",
"instance": "5f4d2a8e-91a4-4d6c-8a17-9b1e2c3f4a5b",
"status": 403,
"code": "forbidden"
}
}{
"error": {
"type": "funding_error",
"instance": "5f4d2a8e-91a4-4d6c-8a17-9b1e2c3f4a5b",
"status": 404,
"code": "not_found"
}
}{
"error": {
"type": "funding_error",
"instance": "5f4d2a8e-91a4-4d6c-8a17-9b1e2c3f4a5b",
"status": 429,
"code": "resource_exhausted"
}
}{
"error": {
"type": "funding_error",
"instance": "5f4d2a8e-91a4-4d6c-8a17-9b1e2c3f4a5b",
"status": 500,
"code": "internal"
}
}{
"error": {
"type": "funding_error",
"instance": "5f4d2a8e-91a4-4d6c-8a17-9b1e2c3f4a5b",
"status": 503,
"code": "unavailable"
}
}{
"error": {
"type": "funding_error",
"instance": "5f4d2a8e-91a4-4d6c-8a17-9b1e2c3f4a5b",
"status": 504,
"code": "deadline_exceeded"
}
}Simulate funding deposit
Inserts a synthetic successful deposit for a funding method available to the selected account. Use this operation only in non-production test environments. It is unavailable in production.
curl --request POST \
--url https://api.services.payward.com/v1/accounts/{account_id}/funds/testing/deposit \
--header 'API-Key: <api-key>' \
--header 'API-Nonce: <api-key>' \
--header 'API-Sign: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"method_id": "479c45eb-6558-430a-8794-4308137d2588",
"amount": "0.25",
"name": "PWS funding deposit test",
"reference": "PWSPAY-1229"
}
'import requests
url = "https://api.services.payward.com/v1/accounts/{account_id}/funds/testing/deposit"
payload = {
"method_id": "479c45eb-6558-430a-8794-4308137d2588",
"amount": "0.25",
"name": "PWS funding deposit test",
"reference": "PWSPAY-1229"
}
headers = {
"API-Key": "<api-key>",
"API-Sign": "<api-key>",
"API-Nonce": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'API-Key': '<api-key>',
'API-Sign': '<api-key>',
'API-Nonce': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
method_id: '479c45eb-6558-430a-8794-4308137d2588',
amount: '0.25',
name: 'PWS funding deposit test',
reference: 'PWSPAY-1229'
})
};
fetch('https://api.services.payward.com/v1/accounts/{account_id}/funds/testing/deposit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.services.payward.com/v1/accounts/{account_id}/funds/testing/deposit",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'method_id' => '479c45eb-6558-430a-8794-4308137d2588',
'amount' => '0.25',
'name' => 'PWS funding deposit test',
'reference' => 'PWSPAY-1229'
]),
CURLOPT_HTTPHEADER => [
"API-Key: <api-key>",
"API-Nonce: <api-key>",
"API-Sign: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.services.payward.com/v1/accounts/{account_id}/funds/testing/deposit"
payload := strings.NewReader("{\n \"method_id\": \"479c45eb-6558-430a-8794-4308137d2588\",\n \"amount\": \"0.25\",\n \"name\": \"PWS funding deposit test\",\n \"reference\": \"PWSPAY-1229\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("API-Key", "<api-key>")
req.Header.Add("API-Sign", "<api-key>")
req.Header.Add("API-Nonce", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.services.payward.com/v1/accounts/{account_id}/funds/testing/deposit")
.header("API-Key", "<api-key>")
.header("API-Sign", "<api-key>")
.header("API-Nonce", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"method_id\": \"479c45eb-6558-430a-8794-4308137d2588\",\n \"amount\": \"0.25\",\n \"name\": \"PWS funding deposit test\",\n \"reference\": \"PWSPAY-1229\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.services.payward.com/v1/accounts/{account_id}/funds/testing/deposit")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["API-Key"] = '<api-key>'
request["API-Sign"] = '<api-key>'
request["API-Nonce"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"method_id\": \"479c45eb-6558-430a-8794-4308137d2588\",\n \"amount\": \"0.25\",\n \"name\": \"PWS funding deposit test\",\n \"reference\": \"PWSPAY-1229\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"simulated": true
}
}{
"error": {
"type": "funding_error",
"instance": "5f4d2a8e-91a4-4d6c-8a17-9b1e2c3f4a5b",
"status": 400,
"code": "bad_request",
"causes": [
{
"field": "asset_symbol",
"message": "must contain between 1 and 16 characters"
}
]
}
}{
"error": {
"type": "funding_error",
"instance": "5f4d2a8e-91a4-4d6c-8a17-9b1e2c3f4a5b",
"status": 401,
"code": "unauthenticated"
}
}{
"error": {
"type": "funding_error",
"instance": "5f4d2a8e-91a4-4d6c-8a17-9b1e2c3f4a5b",
"status": 403,
"code": "forbidden"
}
}{
"error": {
"type": "funding_error",
"instance": "5f4d2a8e-91a4-4d6c-8a17-9b1e2c3f4a5b",
"status": 404,
"code": "not_found"
}
}{
"error": {
"type": "funding_error",
"instance": "5f4d2a8e-91a4-4d6c-8a17-9b1e2c3f4a5b",
"status": 429,
"code": "resource_exhausted"
}
}{
"error": {
"type": "funding_error",
"instance": "5f4d2a8e-91a4-4d6c-8a17-9b1e2c3f4a5b",
"status": 500,
"code": "internal"
}
}{
"error": {
"type": "funding_error",
"instance": "5f4d2a8e-91a4-4d6c-8a17-9b1e2c3f4a5b",
"status": 503,
"code": "unavailable"
}
}{
"error": {
"type": "funding_error",
"instance": "5f4d2a8e-91a4-4d6c-8a17-9b1e2c3f4a5b",
"status": 504,
"code": "deadline_exceeded"
}
}Authorizations
Your public API key. Identifies the partner making the request.
HMAC signature over the request, computed with your private key.
Monotonically increasing nonce included in the request signature.
Path Parameters
Globally unique public identifier for an account.
14 - 42Body
Funding method, amount, and optional reconciliation details for a synthetic successful deposit.
Funding method identifier returned by the deposit-methods endpoint for the selected account.
Positive decimal amount to deposit, represented as a string to preserve precision.
1 - 64^[0-9]+(\.[0-9]+)?$Test payer label copied into the simulated deposit.
1 - 128Optional payment reference copied into the simulated deposit for test reconciliation.
1 - 140Response
Simulated deposit accepted for processing.
Acknowledgment that the synthetic deposit was accepted.
Result of a funding deposit simulation request.
Show child attributes
Show child attributes